Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class ActionFormModel

    java.lang.Object
      ix.iface.ui.AbstractIFormModel
          ix.iface.ui.GenericIFormModel
              ix.iview.ActionFormModel

All Implemented Interfaces:
  DataChangeListener, IFormModel

    public class ActionFormModel

extends GenericIFormModel

An default model to be used to fill an IFormPanel.

Field Summary

Fields inherited from class ix.iface.ui.AbstractIFormModel
`baseObject, baseObjectClass, dataListeners, displayFields, fieldClasses, fieldNames, isUpdating, listeners, nameFields, settingData`

Constructor Summary
`ActionFormModel(DomainEditorFrame ideFrame)`
`ActionFormModel(DomainEditorFrame ideFrame, java.lang.Class objectClass)`
`ActionFormModel(DomainEditorFrame ideFrame, EditableObject object)`

Method Summary
`protected java.lang.Class` | `deriveClass(java.lang.String field)`
`protected java.util.List` | `deriveDisplayFields()` Derives the fields to be used for displaying the object information
`protected java.lang.String` | `deriveName(java.lang.String field)`
`java.lang.String` | `getFieldName(java.lang.String field)` Gets the title to use for the object's given field (e.g.
`double` | `getFieldWeight(java.lang.String field)` Gets the weight of the object's given field name to establish its portion of the display.
`java.lang.Object` | `getValue(java.lang.String field)` Get the current object's value for the given field.
`boolean` | `setValue(EditableObject o, java.lang.String field, java.lang.Object value)` setValue(String field, Object value) calls this too, so only implement one The miniC settings are dealt with as they happen

Methods inherited from class ix.iface.ui.GenericIFormModel
`deriveClasses, deriveNameFields, deriveNames, setFields, setValue, show, useField`

Methods inherited from class ix.iface.ui.AbstractIFormModel
`addDataListener, addIfField, addModelListener, clearData, dataChanged, dataChanged, deriveClasses, deriveNames, endUpdate, fireDataChanged, fireModelChanged, fireModelChanged, getDataListeners, getDisplayClasses, getDisplayFields, getDisplayNames, getFieldClass, getModelListeners, getNameClasses, getNameFields, getNameNames, getObject, getObjectClass, getValue, ignoreUpdate, isEditable, isFieldShowing, lookupFieldClasses, lookupFieldNames, setDisplayFields, setDisplayFields, setNameFields, setNameFields, setObject, setObjectClass, startUpdate, stringToField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionFormModel

    public ActionFormModel(DomainEditorFrame ideFrame)

### ActionFormModel

    public ActionFormModel(DomainEditorFrame ideFrame,
                           java.lang.Class objectClass)

### ActionFormModel

    public ActionFormModel(DomainEditorFrame ideFrame,
                           EditableObject object)

Method Detail

### deriveClass

    protected java.lang.Class deriveClass(java.lang.String field)

  Overrides:
    `deriveClass` in class `GenericIFormModel`

### deriveName

    protected java.lang.String deriveName(java.lang.String field)

  Overrides:
    `deriveName` in class `GenericIFormModel`

### deriveDisplayFields

    protected java.util.List deriveDisplayFields()

  Description copied from class: `AbstractIFormModel`
  Derives the fields to be used for displaying the object information

  Overrides:
    `deriveDisplayFields` in class `GenericIFormModel`

### getValue

    public java.lang.Object getValue(java.lang.String field)

  Description copied from class: `AbstractIFormModel`
  Get the current object's value for the given field.

  Specified by:
    `getValue` in interface `IFormModel`
  Overrides:
    `getValue` in class `AbstractIFormModel`

### getFieldWeight

    public double getFieldWeight(java.lang.String field)

  Description copied from interface: `IFormModel`
  Gets the weight of the object's given field name to establish its portion of the display.

  Specified by:
    `getFieldWeight` in interface `IFormModel`
  Overrides:
    `getFieldWeight` in class `AbstractIFormModel`

### getFieldName

    public java.lang.String getFieldName(java.lang.String field)

  Description copied from interface: `IFormModel`
  Gets the title to use for the object's given field (e.g. "Name", "Id")

  Specified by:
    `getFieldName` in interface `IFormModel`
  Overrides:
    `getFieldName` in class `AbstractIFormModel`

### setValue

    public boolean setValue(EditableObject o,
                            java.lang.String field,
                            java.lang.Object value)

  setValue(String field, Object value) calls this too, so only implement one The miniC settings are dealt with as they happen

  Specified by:
    `setValue` in interface `IFormModel`
  Overrides:
    `setValue` in class `GenericIFormModel`
  Returns:
    true if the value was changed, false if it was not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD